package net.roseindia.action;

import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Result;

public class HelloWorldAction {
	private static final long serialVersionUID = 1L;
	String userName = "";
	String message;

	@Action(value = "/hello", results = {
			@Result(name = "error", location = "/jsp/index.jsp"),
			@Result(name = "success", location = "/jsp/successPage.jsp") })
	public String execute() throws Exception {
		if (getUserName().equals("")) {
			return "error";
		} else {
			message = "Hello " + userName;
			return "success";
		}
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}
}